View a markdown version of this page

PopulateIntermediateTable - AWS Clean Rooms

PopulateIntermediateTable

Runs the stored query of an intermediate table and makes the results available for querying. Each call creates a new version. Use GetProtectedQuery with the returned analysis ID to track progress. Only the intermediate table owner can call this operation.

Request Syntax

POST /memberships/membershipIdentifier/intermediateTables/intermediateTableIdentifier/populate HTTP/1.1 Content-type: application/json { "analysisPayerAccountId": "string", "computeConfiguration": { ... }, "parameters": { "string" : "string" } }

URI Request Parameters

The request uses the following URI parameters.

intermediateTableIdentifier

The unique identifier of the intermediate table to populate.

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

membershipIdentifier

The unique identifier of the membership that contains the intermediate table.

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

Request Body

The request accepts the following data in JSON format.

analysisPayerAccountId

The account ID of the member that pays for the analysis compute costs.

Type: String

Length Constraints: Fixed length of 12.

Pattern: \d+

Required: No

computeConfiguration

The compute configuration for the population query execution.

Type: IntermediateTableComputeConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: No

parameters

The runtime parameter values that override the defaults in the stored query.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 100.

Key Pattern: [0-9a-zA-Z_]+

Value Length Constraints: Minimum length of 0. Maximum length of 1000.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "analysisId": "string", "analysisType": "string", "versionId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

analysisId

The identifier for the protected query execution that populated the intermediate table.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

analysisType

The type of analysis performed to populate the intermediate table.

Type: String

Valid Values: QUERY

versionId

The unique identifier of the version created by this population operation.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Caller does not have sufficient access to perform this action.

reason

A reason code for the exception.

HTTP Status Code: 403

ConflictException

Updating or deleting a resource can cause an inconsistent state.

reason

A reason code for the exception.

resourceId

The ID of the conflicting resource.

resourceType

The type of the conflicting resource.

HTTP Status Code: 409

InternalServerException

Unexpected error during processing of request.

HTTP Status Code: 500

ResourceNotFoundException

Request references a resource which does not exist.

resourceId

The Id of the missing resource.

resourceType

The type of the missing resource.

HTTP Status Code: 404

ServiceQuotaExceededException

Request denied because service quota has been exceeded.

quotaName

The name of the quota.

quotaValue

The value of the quota.

HTTP Status Code: 402

ThrottlingException

Request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the specified constraints.

fieldList

Validation errors for specific input parameters.

reason

A reason code for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: